<div class="d-flex justify-content-center w-100">
  <div class="verify-container pl-3 pr-3 pb-3">
    <hr class="mb-4">
    <div class="row mt-2">
      <div class="col pr-2">
        <div>
          <h5 class="d-inline">2. Verify Patient Information</h5>
          <img class="check-icon" src="../../../images/default.svg" ng-if="!$ctrl.selected_data1">
          <img class="check-icon" src="../../../images/green-1.svg" ng-if="$ctrl.selected_data1">
        </div>
        <p>Verify the patient using the existing information, update and edit profiles if there are any issues.</p>
      </div>
    </div>
    <div class="my-4" style="margin-bottom: 100px;">
      <div class="border p-3" ng-if="$ctrl.selected_data">
        <div>
          <label>
            Patient Details
          </label>
          <div class="d-flex direction-row flex-wrap">

            <div class="profile-pic pl-2 mr-3">
              <img class="profile-pic" ng-if="$ctrl.patient_data.picture != null" style="border-radius: 50%;"
                src=$ctrl.patient_data.picture>
              <img class="profile-pic" ng-if="$ctrl.patient_data.picture == null" style="border-radius: 50%;"
                src="../../../images/Profile-Picture.svg">
            </div>
            <div>
              <div class="row" style="width:24rem">

                <div class="bm-label-24 dark-grey-blue pt-4 px-3">
                  <b>{{$ctrl.patient_data.patient_name}}</b>
                </div>
                <div class="bm-label-16 dark-grey-blue">
                  <div ng-if="$ctrl.patient_data.birth_date != null" class="gender-field">
                    {{::$ctrl.patient_data.gender}}, {{::$ctrl.patient_data.age }}</div>
                  <div ng-if="$ctrl.patient_data.birth_date == null" class="gender-field">
                    {{::$ctrl.patient_data.gender}}
                  </div>
                </div>
              </div>

              <div class="row ml-1 ">
                <span class="mx-2 flag-icon flag-icon-{{$ctrl.country_code[0].toLowerCase()}}"></span>
                <div><img style="margin-bottom: 3px;" src="../../../images/IC.svg" /></div>
                <div class="row ml-2 dark-grey-blue">
                  <div>NRIC</div>
                  <div class="ml-2">{{$ctrl.patient_data.ic}}</div>
                </div>
              </div>
              <div class="row mt-2 dark-grey-blue">
                <div class="row" style="margin-left: 5%;">
                  <div>DOB:</div>
                  <div class="ml-2">{{$ctrl.patient_data.birth_date}}</div>
                </div>
                <div class="row ml-5" ng-if="$ctrl.patient_data.ethinic != null">
                  <div>Ethincity:</div>
                  <div>{{$ctrl.patient_data.ethinic}}</div>
                </div>
              </div>

            </div>

          </div>

        </div>
      </div>
    </div>

    <div ng-if="!$ctrl.selected_data" style="height: 150px;"></div>
    <prescription-attach-image></prescription-attach-image>

    <div class="d-flex direction-row flex-wrap ml-2"
      ng-class="'justify-content-end'">
      <div class="row">
        <div class="col">
          <div class="d-flex justify-content-end bluey-grey">
            <button class="bm-btn-sm-pink-red mt-2" ng-if="$ctrl.correct_data" style="margin-left: 22px;"
              ng-click="$ctrl.continue()">Continue</button>
            <button style="margin-left: 22px;" class="btn btn-danger biomark-btn-primary mt-1" ng-click="$ctrl.continue()">Continue</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- <div ng-if="$ctrl.edit_patient" class="biomark-modal d-flex justify-content-center align-items-center">
  <div class="modal_container p-3">
    <div class="row">
      <div class="col-6">
        <div class="form-group-eorder" style="max-width: 300px;">
          <div class="bm-label-14 mb-1"><b>Patient's name</b> </div>
          <input type="text" style="height: 40px;width: 240px;" name="email_add" 
          class="form-control bio-custom-input ng-pristine ng-untouched ng-valid ng-not-empty"
          ng-model="$ctrl.patient_data.patient_name">
        </div>

        <div class="form-group-eorder" style="max-width: 300px;">
          <div class="bm-label-14 mb-1"><b>Gender</b></div>
          <div class="d-flex flex-row">
            <div>
              <input type="radio" id="gender_1" name="gender" ng-value="2" ng-model="$ctrl.patient_data.gende"
                value="Female" ng-checked="$ctrl.patient_data.gender === 'Female'" tabindex="-1">
              <label for="gender_1" style="margin-right: 20px">Female</label>
            </div>
            <div>
              <input type="radio" id="gender_2" name="gender" ng-value="1" ng-model="$ctrl.patient_data.gender"
                value="Male" ng-checked="$ctrl.patient_data.gender === 'Male'" tabindex="-1">
              <label for="gender_2">Male</label>
            </div>
          </div>
        </div>
        <div class="form-group-eorder" style="max-width: 300px;">
          <div class="bm-label-14 mb-1"><b>Mobile number</b> </div>
          <biomark-mobile country="$ctrl.patient_data.contact.country_id" mobile="$ctrl.patient_data.contact.mobile" invalid="false"></biomark-mobile>
        </div>
      </div>
      <div class="col-6">
        <div class="form-group" style="max-width: 300px;">
          <div class="bm-label-14 mb-1"><b>Date of birth</b></div>
          <div class="d-flex flex-row date-wrapper justify-content-between">
            <div class="month">{{::$ctrl.patient_data.birth_date | date:"MMM"}}</div>
            <div class="day">{{::$ctrl.patient_data.birth_date | date:"dd"}}</div>
            <div class="year">{{::$ctrl.patient_data.birth_date | date:"yyyy"}}</div>
          </div>
        </div>
        <div class="form-group-eorder" style="max-width: 300px;">
          <div class="bm-label-14 mb-1"><b>Age</b> </div>
          <input ng-model="$ctrl.patient_data.age" type="text" class="form-control-eorder"
            ng-class="{'is-invalid': $ctrl.error.name}">
        </div>
        <div class="form-group-eorder" style="max-width: 300px;">
          <div class="bm-label-14 mb-1"><b>Email Address</b> </div>
          <input ng-model="$ctrl.patient_data.contact.email_address" type="email" class="form-control-eorder"
            ng-class="{'is-invalid': $ctrl.error.name}">
        </div>
      </div>
      <div class="d-flex flex-row justify-content-between w-100 p-2">
        <button class="btn biomark-btn-cancel " ng-click="$ctrl.openEditForm()">Cancel</button>
        <button class="btn btn-danger biomark-btn-primary" ng-click="$ctrl.continue()">Continue</button>
      </div>
    </div>
  </div>
</div> -->
<!-- <div ui-view ng-if = "!$ctrl.editFlag">
  <patient-form-modal is-edit="false"></patient-form-modal>
</div> -->
<div ui-view>
  <patient-form-modal patient-id="$ctrl.patient_id" edit-data="$ctrl.patientData" is-edit="true"></patient-form-modal>
</div>

